import { Tree } from "@canvas-js/okra";
import { ModelDB } from "@canvas-js/modeldb-sqlite-expo";
import { AbstractGossipLog, GossipLogInit } from "../AbstractGossipLog.js";
export declare class GossipLog<Payload> extends AbstractGossipLog<Payload> {
    readonly db: ModelDB;
    readonly tree: Tree;
    constructor({ directory, ...init }: {
        directory?: string | null;
    } & GossipLogInit<Payload>);
    protected rebuildMerkleIndex(): Promise<void>;
}
